documentation_complete: true

title: 'Red Hat Corporate Profile for Certified Cloud Providers (RH CCP)'

description: 'This is a *draft* SCAP profile for Red Hat Certified Cloud Providers'

selections:
    - var_selinux_state=enforcing
    - var_selinux_policy_name=targeted
    - file_owner_logfiles_value=root
    - file_groupowner_logfiles_value=root
    - sshd_idle_timeout_value=5_minutes
    - var_accounts_password_minlen_login_defs=6
    - var_accounts_minimum_age_login_defs=7
    - var_accounts_passwords_pam_faillock_deny=5
    - var_accounts_password_warn_age_login_defs=7
    - var_password_pam_retry=3
    - var_password_pam_dcredit=1
    - var_password_pam_ucredit=2
    - var_password_pam_ocredit=2
    - var_password_pam_lcredit=2
    - var_password_pam_difok=3
    - var_password_pam_unix_remember=5
    - var_accounts_user_umask=077
    - login_banner_text=usgcb_default
    - partition_for_tmp
    - partition_for_var
    - partition_for_var_log
    - partition_for_var_log_audit
    - grub_legacy_enable_selinux
    - selinux_state
    - selinux_policytype
    - selinux_all_devicefiles_labeled
    - ensure_redhat_gpgkey_installed
    - security_patches_up_to_date
    - ensure_gpgcheck_globally_activated
    - ensure_gpgcheck_never_disabled
    - package_aide_installed
    - accounts_password_pam_unix_remember
    - no_shelllogin_for_systemaccounts
    - no_empty_passwords
    - accounts_password_all_shadowed
    - accounts_no_uid_except_zero
    - accounts_password_minlen_login_defs
    - accounts_minimum_age_login_defs
    - accounts_maximum_age_login_defs
    - accounts_password_warn_age_login_defs
    - cracklib_accounts_password_pam_retry
    - cracklib_accounts_password_pam_dcredit
    - cracklib_accounts_password_pam_ucredit
    - cracklib_accounts_password_pam_ocredit
    - cracklib_accounts_password_pam_lcredit
    - cracklib_accounts_password_pam_difok
    - accounts_passwords_pam_faillock_deny
    - set_password_hashing_algorithm_systemauth
    - set_password_hashing_algorithm_logindefs
    - set_password_hashing_algorithm_libuserconf
    - require_singleuser_auth
    - file_owner_etc_shadow
    - file_groupowner_etc_shadow
    - file_permissions_etc_shadow
    - file_owner_etc_gshadow
    - file_groupowner_etc_gshadow
    - file_permissions_etc_gshadow
    - file_owner_etc_passwd
    - file_groupowner_etc_passwd
    - file_permissions_etc_passwd
    - file_owner_etc_group
    - file_groupowner_etc_group
    - file_permissions_etc_group
    - file_permissions_library_dirs
    - file_ownership_library_dirs
    - file_permissions_binary_dirs
    - file_ownership_binary_dirs
    - file_permissions_var_log_audit
    - file_owner_grub_conf
    - file_groupowner_grub_conf
    - file_permissions_grub_conf
    - grub_legacy_password
    - sysctl_kernel_randomize_va_space
    - sysctl_kernel_exec_shield
    - kernel_module_ipv6_option_disabled
    - service_ip6tables_enabled
    - service_iptables_enabled
    - set_iptables_default_rule
    - kernel_module_dccp_disabled
    - kernel_module_sctp_disabled
    - kernel_module_rds_disabled
    - kernel_module_tipc_disabled
    - service_xinetd_disabled
    - package_xinetd_removed
    - package_telnet-server_removed
    - service_telnet_disabled
    - package_rsh-server_removed
    - service_rsh_disabled
    - service_rexec_disabled
    - service_rlogin_disabled
    - package_ypserv_removed
    - service_ypbind_disabled
    - package_tftp-server_removed
    - service_tftp_disabled
    - service_avahi-daemon_disabled
    - service_abrtd_disabled
    - service_atd_disabled
    - service_autofs_disabled
    - service_ntpdate_disabled
    - service_oddjobd_disabled
    - service_qpidd_disabled
    - service_rdisc_disabled
    - sshd_allow_only_protocol2
    - sshd_set_idle_timeout
    - sshd_set_keepalive
    - disable_host_auth
    - sshd_disable_root_login
    - sshd_disable_empty_passwords
    - sshd_enable_warning_banner
    - sshd_do_not_permit_user_env
    - sshd_use_approved_ciphers
